function crsLiveTrackSetTrackingParameters(deviceNumber,TrackLeftEye,TrackRightEye,CoordinateSystem,nGlints,DebugImage,Overlay,PixelsPerMM)
% implements the PT_TRACKING report
% 	u16_t PacketType;
% 	u16_t Tag;
% 	u8_t  TrackLeftEye;				// Set true to track left eye
% 	u8_t  TrackRightEye;			// Set true to track right eye
% 	u16_t CoordinateSystem;			// 1 = off, 2 = RAW, 4 = mm, 8 = FICK, 16 = HELMHOLTZ
% 	u16_t nGlints;					// Number of glints searched for
% 	u16_t DebugImage;				// Controls the presentation of debug images
% 	u16_t Overlay;					// Controls the overlaid images
% 	u32_t PixelsPerMM;				// Camera pixels to world mm * 1024;
% 	u8_t  Reserved[64-18];			// Unused
%

if nargin==0,
    deviceNumber = crsLiveTrackGetHIDdeviceNumber;
end

PacketType = 100;
Tag = 0;
if nargin<2,
    TrackLeftEye = 0;
end
if nargin<3,
    TrackRightEye = 1;
end
if nargin<4,
    CoordinateSystem = 2;
end
if nargin<5,
    nGlints = 2;
end
if nargin<6,
    DebugImage = 0;
end
if nargin<7,
    Overlay = 62;
end
if nargin<8,
    PixelsPerMM = 20*1024;
end

report(1:2) = uint8([PacketType 0]);
report(3:4) = uint8([Tag 0]);
report(5) = uint8(TrackLeftEye);
report(6) = uint8(TrackRightEye);
report(7:8) = uint8([CoordinateSystem 0]);
report(9:10) = uint8([nGlints 0]);
report(11:12) = uint8([DebugImage 0]);
report(13:14) = uint8([Overlay 0]);
element = PixelsPerMM;
report(15:18) = uint8([floor(element/2^24) floor(mod(element,2^24)/2^16) floor(mod(element,2^16)/2^8) mod(element,2^8)]);
% fill the rest with zeros
report(19:64) = uint8(0);


err = PsychHID('SetReport', deviceNumber, 2, 0, report);
if err.n
    fprintf('\nPsychHID: SetReport error 0x%s. %s: %s\n',hexstr(err.n),err.name,err.description);
else
    fprintf('\nLiveTrack: parameters set.\n');
end
