%clear all;
%close all
%Screen('CloseAll');
format compact
clc;

HASTRACKER=0;   % Should be 1 at Spinoza

logname=rsGetLogfileName()

totaltime=60;

tic
logfid=fopen(logname, 'wt')
fprintf(logfid, 'time,event,command,response\n');
%fclose(logfid)
%logoverhead=toc


Screen('Preference', 'SkipSyncTests', 0);
info.BackCol = 127;
screennum=0;    % Should be 2 at Spinoza
[w,screenRect] = Screen(screennum,'OpenWindow',info.BackCol);

%wi=screenRect(3)
%he=screenRect(4)

%Screen('TextColor', w, [255 255 255]);   % white
Screen('TextColor', w, [0 0 0]);   % black
textsize=200;


FlushEvents()   % Using the character based event scanner, timing accuracy is not optimum, but should suffice for MRI studies.
msg=strcat('Bij de volgende scan is het belangrijk dat u zich ontspant,\n\n', ...
            'uw ogen open houdt en naar het kruisje kijkt. U mag wel knipperen.\n\n', ...
            'Laat uw gedachte de vrije loop en blijf niet te lang stilstaan bij een gedachte.\n\n', ...
            'Probeer zo min mogelijk te bewegen en niet in slaap te vallen.\n\n', ...
            '\n\nHeel fijn dat je ons wilt helpen! ;-)');
Screen('TextSize', w, 30);            
DrawFormattedText(w, msg, 'center', 'center');
Screen('Flip',w);



while (1)   % Wait for the first scanner trigger
    if CharAvail()
        ch=GetChar();
        if ch == char('t')  % Here it is
            break
        end
    end
end

tic     % The first scanner trigger starts the stopwatch
%totaltime=prot(length(prot)).time
prevupdate=0;

if HASTRACKER
    % Get the HID device number and the device type (LiveTrack FM or AV)
    [deviceNumber, type] = crsLiveTrackGetHIDdeviceNumber;
    
    % Tell LiveTrack to start seding raw data
    crsLiveTrackHIDcomm(deviceNumber,'begin-raw',type);
    
    % Wait a bit to make sure there is data in the USB buffer
    %pause(0.25);
end


while (totaltime>toc)
    if HASTRACKER
        R = crsLiveTrackHIDcomm(deviceNumber,'continue-returnlast',type);
        % Display the data in the command window for the right eye
        fprintf('Time stamp: %0.0f\n',R.timeStamp);
        fprintf('Marker: %0.0f\n',R.marker);
        fprintf([' - Left Eye -  \n',...
            'Tracked: %0.0f\n',...
            'Pupil centre position X: %05.1f  Y: %05.1f\n',...
            'Pupil radius major axis: %05.1f  Minor Axis: %05.1f\n',...
            'Glint 1 position X: %05.1f Y:  %05.1f\n',...
            'Glint 2 position X: %05.1f Y:  %05.1f\n'],...
            R.LTracked,R.LPupilX,R.LPupilY,R.LPupilMa,R.LPupilMi,R.LGlint1X,R.LGlint1Y,R.LGlint2X,R.LGlint2Y);
        
        fprintf(logfid, '%08.3f,%s,%05.1f,%05.1f\n', toc, 'eyetracker', R.LPupilMa, R.LPupilMi);
    end
    
    %pause(0.1) % do nothing? No, let's monitor some keypresses and log them to an appropriate file.
    [ch, retval]=rsCheckKeyboard();
    if (retval==-1)    % if non-zero, request to quit in a nice way
        fprintf(logfid, '%08.3f,%s\n', toc, 'ESCAPE');
        fclose(logfid);
        if HASTRACKER
            % Tell LiveTrack to stop sending data
            crsLiveTrackHIDcomm(deviceNumber,'end');
        end
        Screen('CloseAll');
        disp(' ')
        disp(' ')
        disp('Het experiment is bewust afgebroken.')
        fprintf('Your data have been logged in %s.\n', logname)
        return; % Back to the command line with closed devices and files....?
    else if (retval==1)
            % Do the key logging here.
            fprintf(logfid, '%08.3f,key,t,%s\n', toc, ch);
        end
    end
    % do nothing? No, let's inform the interested how long to wait.
    %dtime=toc;
    ct=toc;
    if (ct>prevupdate+1)
        prevupdate=toc;
        mins=floor((totaltime-ct)/60);
        secs=rem((totaltime-ct), 60);
        %Screen('TextSize', w, 20);
        msg=sprintf('%6.0f:%02.0f remaining', mins, secs)
        %Screen('DrawText', w, msg, 10, 10 );
        Screen('TextSize', w, textsize);
        DrawFormattedText(w, '+' , 'center', 'center');
        Screen('Flip',w);
        %fprintf(logfid, '%08.3f,%s\n', toc, 'stamp');
        %screenoverhead=toc-dtime
    end
    %loopoverhead=toc-dtime
end

fprintf(logfid, '%08.3f,%s\n', toc, 'finished');
fclose(logfid);
if HASTRACKER
    % Tell LiveTrack to stop sending data
    crsLiveTrackHIDcomm(deviceNumber,'end');
end
Screen('CloseAll');
disp(' ')
disp(' ')
disp('Einde van dit experiment')

fprintf('Your data have been logged in %s.\n', logname)
